@echo off

REM **********
REM EARTHWORM JIM DESKTOP THEME
REM FOR MICROSOFT PLUS!
REM COPYRIGHT 1995 ACTIVISION
REM DO NOT DISTRIBUTE
REM DO NOT MODIFY
REM CREATED BY TIN GUERRERO
REM **********

REM ***** COMMAND LINE & PARAMETERS *****
REM The command line is deciphered as...
REM   THEME action path
REM with a sample line that looks like...
REM   THEME install C:\PROGRAM FILES\PLUS!\THEMES

REM ***** INSTALL OR UNINSTALL? *****
REM ** capture 2 parameters **
set action=%1
SHIFT
set path=%1
REM ** source of files **
set source=EWJTHEME

REM ** determine if install or uninstall **
if %action%==INSTALL goto install
if %action%==UNINSTALL goto uninstall
goto errorend


REM ***** INSTALL *****
:install
echo.
echo WELCOME.
echo.
echo Press a Key to INSTALL the Earthworm Jim Desktop Theme files
echo to your hard drive.  You will need approximately 800K of free
echo disk space.  Once installation is complete, launch the PLUS!
echo Desktop Themes program located in your Control Panel and
echo select the EWJTHEME to customize your desktop.
echo.

PAUSE

REM ** make EWJ directory in Plus! directory **
MD %path%\EWJ

REM ** Copy all files **
echo.
REM ** copying 2 animated icons **
echo ...copying icons
copy %source%\*.ani %path%\EWJ
REM ** copying 12 cursor files **
echo ...copying cursors
copy %source%\*.cur %path%\EWJ
REM ** copying 4 icon files **
echo ...copying icons
copy %source%\*.ico %path%\EWJ
REM ** copying 1 palette file **
echo ...copying palette
copy %source%\*.pal %path%
REM ** copying 16 wav files **
echo ...copying sounds
copy %source%\*.wav %path%\EWJ
REM ** copying 1 jpg file **
echo ...copying desktop file
copy %source%\*.jpg %path%
REM ** copying 1 theme file **
echo ...copying theme file
copy %source%\*.the %path%\*.theme

echo.
echo DONE COPYING.
echo.
PAUSE
goto success


REM ***** INSTALL ERROR *****
:errorend
echo.
echo ERROR!
echo.
echo Microsoft Plus! directory could not be found.
echo You need Microsoft Plus! to install and use
echo the Earthworm Jim Desktop Theme.
echo.
PAUSE
goto end


REM ***** INSTALL SUCCESS *****
:success
echo.
echo GROOVY!
echo.
echo You are now the proud owner of the Earthworm Jim
echo Desktop Theme for Microsoft Plus!  To install it
echo to your desktop, run the Desktop Themes program
echo in Windows 95 and select the theme "EWJTHEME".
echo.
PAUSE
goto end


REM ***** UNINSTALL *****
:uninstall
echo.
echo WELCOME.
echo.
echo Press a Key to DELETE all previously installed
echo Earthworm Jim Desktop Theme files.  This will free
echo about 800K of hard disk space.
echo.
echo IMPORTANT: Immediately after you finish uninstalling the
echo Earthworm Jim Desktop Theme, launch the PLUS! Desktop
echo Themes program located in the Control Panel and select
echo a new Desktop Theme. 
echo.

PAUSE

REM ** DELETE ALL FILES **
echo.
REM ** delete 2 animated icons **
echo ...deleting icons
del %path%\EWJ\EWJ_DT07.ani
del %path%\EWJ\EWJ_DT08.ani 
REM ** deleting 12 cursor files **
echo ...deleting cursors
del %path%\EWJ\EWJ_DT05.cur 
del %path%\EWJ\EWJ_DT06.cur
del %path%\EWJ\EWJ_DT09.cur
del %path%\EWJ\EWJ_DT10.cur
del %path%\EWJ\EWJ_DT11.cur
del %path%\EWJ\EWJ_DT12.cur
del %path%\EWJ\EWJ_DT13.cur
del %path%\EWJ\EWJ_DT14.cur
del %path%\EWJ\EWJ_DT15.cur
del %path%\EWJ\EWJ_DT16.cur
del %path%\EWJ\EWJ_DT17.cur
del %path%\EWJ\EWJ_DT18.cur
REM ** deleting 4 icon files **
echo ...deleting icons
del %path%\EWJ\EWJ_DT01.ico
del %path%\EWJ\EWJ_DT02.ico
del %path%\EWJ\EWJ_DT03.ico
del %path%\EWJ\EWJ_DT04.ico
REM ** deleting 1 palette file **
echo ...deleting palette
del %path%\EWJ_DT19.pal 
REM ** deleting 16 wav files **
echo ...deleting sounds
del %path%\EWJ\EWJ_DT21.wav
del %path%\EWJ\EWJ_DT22.wav
del %path%\EWJ\EWJ_DT23.wav
del %path%\EWJ\EWJ_DT24.wav
del %path%\EWJ\EWJ_DT25.wav
del %path%\EWJ\EWJ_DT26.wav
del %path%\EWJ\EWJ_DT27.wav
del %path%\EWJ\EWJ_DT28.wav
del %path%\EWJ\EWJ_DT29.wav
del %path%\EWJ\EWJ_DT30.wav
del %path%\EWJ\EWJ_DT31.wav
del %path%\EWJ\EWJ_DT32.wav
del %path%\EWJ\EWJ_DT33.wav
del %path%\EWJ\EWJ_DT34.wav
del %path%\EWJ\EWJ_DT35.wav
del %path%\EWJ\EWJ_DT36.wav
REM ** deleting 1 jpg file **
echo ...deleting desktop file
del %path%\EWJ_DT19.jpg
REM ** deleting 1 theme file **
echo ...deleting theme file
del %path%\EWJTHEME.theme

REM ** delete the EWJ directory in the Plus! directory **
RD %path%\EWJ

echo.
PAUSE

if exist %path%\EWJ\nul goto uninstallfail

echo.
echo THE EARTHWORM JIM DESKTOP THEME IS NOW UNINSTALLED.
echo.
echo IMPORTANT: Launch the PLUS! Desktop Themes program
echo located in the Control Panel and select a new Desktop Theme.
echo.
PAUSE
goto end

:uninstallfail
echo.
echo ERROR DURING UNINSTALL.  THE EARTHWORM JIM DESKTOP
echo HAS NOT BEEN UNINSTALLED.  TRY AGAIN OR DELETE THE
echo FILES MANUALLY.
echo.
PAUSE

:end

REM **********
REM EARTHWORM JIM DESKTOP THEME
REM FOR MICROSOFT PLUS!
REM COPYRIGHT 1995 ACTIVISION
REM DO NOT DISTRIBUTE
REM DO NOT MODIFY
REM CREATED BY TIN GUERRERO
REM **********
